Name: python-module-jinja2
Version: 2.2.1
Release: alt1

Summary: The new and improved version of a small but fast template engine
License: BSD
Group: Development/Python
Url: http://jinja.pocoo.org/2/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: %name-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

BuildPreReq: python-devel python-module-setuptools
# for docs
BuildPreReq: python-module-sphinx python-module-Pygments


%description
Jinja2 is a template engine written in pure Python. It provides a Django
inspired non-XML syntax but supports inline expressions and an optional
sandboxed environment.


%package doc
Summary: Documentation for Jinja2
Group: Development/Python

%description doc
Jinja2 is a template engine written in pure Python. It provides a Django
inspired non-XML syntax but supports inline expressions and an optional
sandboxed environment.

This package contains HTML documentation for Jinja2.


%prep
%setup
%patch -p1

%build
%python_build
%make_build -C docs html

%install
%python_install
# IronPython support
rm -f %buildroot%python_sitelibdir/jinja2/_ipysupport.py

#%%check
#make test

%files
%python_sitelibdir/jinja2/
%python_sitelibdir/*.egg-info
%doc AUTHORS CHANGES TODO
%doc ext/

%files doc
%doc docs/_build/html/*


%changelog
* Thu Sep 17 2009 Andrey Rahmatullin <wrar@altlinux.ru> 2.2.1-alt1
- 2.2.1
- enable building of documentation
- build as noarch

* Mon May 04 2009 Andrey Rahmatullin <wrar@altlinux.ru> 2.1.1-alt1
- initial build
